I am running ZCM 10.2 and have been told it wont work with Win 7 which we are about to roll out. Do I need to upgrade to 10.3? Our last upgrade was horrible so reluctant to do so at the moment so would appreciate some input.

Thanks in advance